MOVE_ADDR_TO_KERNEL(9)

NAME
move_addr_to_kernel - copy a socket address into kernel space

SYNOPSIS

int move_addr_to_kernel (void __user * uaddr, int ulen, void * kaddr);

ARGUMENTS

uaddr
    Address in user space

ulen
    Length in user space

kaddr
    Address in kernel space

DESCRIPTION

The address is copied into kernel space. If the provided address is too long an error code of -EINVAL is returned. If the copy gives invalid addresses -EFAULT is returned. On a success 0 is returned.